(function ($) {
  "use strict";

  // offcanvas-js
  $('.offcanvas-open').click(function() {
    $('.offcanvas-menu').addClass('active');
    $('.offcanvas-overlay').addClass('active');
  });
  $('.offcanvas-menu a').click(function() {
    $('.offcanvas-menu').removeClass('active');
    $('.offcanvas-overlay').removeClass('active');
  });
  $('.close-offcanvas').click(function() {
    $('.offcanvas-menu').removeClass('active');
    $('.offcanvas-overlay').removeClass('active');
  });
  $(document).mouseup(function(e){
    var container = $(".offmenu");
  
    // If the target of the click isn't the container
    if(!container.is(e.target) && container.has(e.target).length === 0){
      $('.offcanvas-menu').removeClass('active');
      $('.offcanvas-overlay').removeClass('active');
    }
  });

  // sidebar-open
  $('.sidebar-open').click(function(){
    $(this).toggleClass('active');
    $('body').toggleClass('sidebar-opened');
  })


  $('input[type="checkbox"]').closest('label').css('cursor','pointer');
  $('input[type="radio"]').closest('label').css('cursor','pointer');
  

  // table
  $('.tr-toggler').click(function(){
    $(this).parents('.tr').toggleClass('expand')
  })

 
})(jQuery);




$(document).ready(function(){

  // scroll up
  $(function(){
    $.scrollUp();
  });

  if($('.select2').length){
    $(".select2").select2({
      minimumResultsForSearch: Infinity
    });
  }

  if($('.select2_2').length){
    $(".select2_2").select2({
    });
  }

  // preloader
  $("#preloader").fadeOut(500);

})











